package uploadfile

import (
	u "simrs-vx/internal/use-case/main-use-case/upload-file"
)

func validateCreate(dto u.CreateDto) string {

	switch {
	case dto.EntityType_Code == "":
		return "entityType_code is required"
	case dto.Ref_Id == nil:
		return "ref_id is required"
	case dto.Type_Code == "":
		return "type_code is required"
	}

	return ""
}
